---
- entityDefinitions:
  - IDM_ExternalID_Edit_Start: '{f38d75ef-37ae-4609-b80b-e751ef9996b0}'
  - IDM_ExternalID_Edit: '{1fe5e7b1-87e1-401d-975d-4839d449045e}'
  - IDMB_ExternalID_Edit: '{221ee989-e488-43d3-883a-151a5bf85158}'
  - IDE_ExternalID_Edit_Start: '{6bb594d2-6236-4e8e-b083-f65436eb24a5}'
  - IDE_ExternalID_Edit: '{b33542f8-fe13-429d-bff1-1b7ab5ed28a5}'
  - IDT_ExternalID_Edit: '{643a3780-250b-4575-be50-50dc346137c0}'

- library: '&IDL_MochaBaseSystem;'
  instances:

  - controlTransactionMethod: '&IDM_ExternalID_Edit_Start;'
    forClassId: '&IDC_ExternalID;'
    verb: ''
    name: 'start'
    buildsResponseWithBRMB:
    - globalIdentifier: '&IDMB_ExternalID_Edit;'
      executesMethod: '&IDM_ExternalID_Edit;'
  
  - buildUIResponseMethod: '&IDM_ExternalID_Edit;'
    usesExecutableReturningElement: '&IDE_ExternalID_Edit;'

  - element: '&IDE_ExternalID_Edit_Start;'
    name: 'edit ref id start'
    processedByCTMethod: '&IDM_ExternalID_Edit_Start;'
    elementContents:
    - globalIdentifier: '{a9da393c-7b6c-495c-8902-99e3c9ab6e03}'
      defaultDataType: '&IDE_ExternalID_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - sequenceTask: '&IDT_ExternalID_Edit;'
    name: 'Edit External IDs'
    relatedTaskParameter: '&IDI_WorkSet_ClassForEditClassTask;'
    taskCategory: '&IDI_TaskCategory_IntegrationIDs;'
    initiatingElement: '&IDE_ExternalID_Edit_Start;'

  - element: '&IDE_ExternalID_Edit;'
    name: 'edit ref id'
    label: 'Edit External IDs'
    elementContents:
    - globalIdentifier: '{1717ebc3-feea-40de-8231-078a4c3c9ecb}'
      defaultDataType: '&IDE_ReferenceID_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      parameterAssignments:
      # assign the Instance parm to `Related Instance [WS]`
      - globalIdentifier: '{0c7f1675-c127-4456-b73e-b427f1ddcac5}'
        assignsToParameter: '&IDC_Instance;'
        assignsFromWorkData: '&IDI_WorkSet_RelatedInstance;'